NextSign API
Forms

Forms Get

Get a form by ID using GET /api/v2/{company}/forms/{form_id}/get.

Forms Get

Use this endpoint to retrieve a single form and inspect its settings, recipients, tags, and attached documents.

Authorization

All requests to this endpoint require authentication using a Bearer Token.

Use your NextSign API key as the bearer token for this endpoint.


Endpoint

GET https://www.nextsign.dk/api/v2/{company}/forms/{form_id}/get

Path Parameters

ParameterTypeDescription
companystringYour company identifier
form_idstringUnique identifier of the form

Example Request

cURL
curl --location 'https://www.nextsign.dk/api/v2/{company}/forms/{form_id}/get' \
  -H 'Authorization: Bearer YOUR_API_KEY'

Example Response

200 OK
{
  "_id": "65f493fb52bb6d8baa5d16af",
  "companyId": "6576e19662ec13c4faa7de7b",
  "folder": "Default",
  "active": true,
  "title": "Example Form",
  "settings": {
    "deletion": {
      "autoDelete": true,
      "days": 30
    },
    "availability": {
      "unlimited": false,
      "days": 10,
      "isExpired": false
    },
    "reminders": {
      "send": true,
      "amount": 2,
      "daysBetween": 3
    },
    "allowAPI": true
  },
  "tags": [],
  "recipients": [],
  "documents": []
}

Response Fields

FieldTypeDescription
_idstringUnique form identifier
companyIdstringCompany identifier
titlestringForm title
folderstringFolder name where the form is stored
activebooleanWhether the form is active
settingsobjectForm configuration settings
tagsarrayForm tag definitions
recipientsarrayRecipient configuration
documentsarrayDocuments attached to the form

Common Error Responses

Form not found:

{
  "errors": [
    {
      "code": 400,
      "message": "Bad Request",
      "description": "Form not found"
    }
  ]
}

Server error:

{
  "message": "Internal server error",
  "errors": []
}